export namespace Children {
  function count(children: any, context: any): any;
  function forEach(children: any, forEachFunc: any, forEachContext: any): any;
  function map(children: any, func: any, context: any): any;
  function only(children: any): any;
  function toArray(children: any): any;
}
export class Component {
  constructor(props: any, context: any, updater: any);
  props: any;
  context: any;
  refs: any;
  updater: any;
  forceUpdate(callback: any): void;
  setState(partialState: any, callback: any): void;
}
export namespace DOM {
  function a(...args: any[]): any;
  function abbr(...args: any[]): any;
  function address(...args: any[]): any;
  function area(...args: any[]): any;
  function article(...args: any[]): any;
  function aside(...args: any[]): any;
  function audio(...args: any[]): any;
  function b(...args: any[]): any;
  function base(...args: any[]): any;
  function bdi(...args: any[]): any;
  function bdo(...args: any[]): any;
  function big(...args: any[]): any;
  function blockquote(...args: any[]): any;
  function body(...args: any[]): any;
  function br(...args: any[]): any;
  function button(...args: any[]): any;
  function canvas(...args: any[]): any;
  function caption(...args: any[]): any;
  function circle(...args: any[]): any;
  function cite(...args: any[]): any;
  function clipPath(...args: any[]): any;
  function code(...args: any[]): any;
  function col(...args: any[]): any;
  function colgroup(...args: any[]): any;
  function data(...args: any[]): any;
  function datalist(...args: any[]): any;
  function dd(...args: any[]): any;
  function defs(...args: any[]): any;
  function del(...args: any[]): any;
  function details(...args: any[]): any;
  function dfn(...args: any[]): any;
  function dialog(...args: any[]): any;
  function div(...args: any[]): any;
  function dl(...args: any[]): any;
  function dt(...args: any[]): any;
  function ellipse(...args: any[]): any;
  function em(...args: any[]): any;
  function embed(...args: any[]): any;
  function fieldset(...args: any[]): any;
  function figcaption(...args: any[]): any;
  function figure(...args: any[]): any;
  function footer(...args: any[]): any;
  function form(...args: any[]): any;
  function g(...args: any[]): any;
  function h1(...args: any[]): any;
  function h2(...args: any[]): any;
  function h3(...args: any[]): any;
  function h4(...args: any[]): any;
  function h5(...args: any[]): any;
  function h6(...args: any[]): any;
  function head(...args: any[]): any;
  function header(...args: any[]): any;
  function hgroup(...args: any[]): any;
  function hr(...args: any[]): any;
  function html(...args: any[]): any;
  function i(...args: any[]): any;
  function iframe(...args: any[]): any;
  function image(...args: any[]): any;
  function img(...args: any[]): any;
  function input(...args: any[]): any;
  function ins(...args: any[]): any;
  function kbd(...args: any[]): any;
  function keygen(...args: any[]): any;
  function label(...args: any[]): any;
  function legend(...args: any[]): any;
  function li(...args: any[]): any;
  function line(...args: any[]): any;
  function linearGradient(...args: any[]): any;
  function link(...args: any[]): any;
  function main(...args: any[]): any;
  function map(...args: any[]): any;
  function mark(...args: any[]): any;
  function mask(...args: any[]): any;
  function menu(...args: any[]): any;
  function menuitem(...args: any[]): any;
  function meta(...args: any[]): any;
  function meter(...args: any[]): any;
  function nav(...args: any[]): any;
  function noscript(...args: any[]): any;
  function object(...args: any[]): any;
  function ol(...args: any[]): any;
  function optgroup(...args: any[]): any;
  function option(...args: any[]): any;
  function output(...args: any[]): any;
  function p(...args: any[]): any;
  function param(...args: any[]): any;
  function path(...args: any[]): any;
  function pattern(...args: any[]): any;
  function picture(...args: any[]): any;
  function polygon(...args: any[]): any;
  function polyline(...args: any[]): any;
  function pre(...args: any[]): any;
  function progress(...args: any[]): any;
  function q(...args: any[]): any;
  function radialGradient(...args: any[]): any;
  function rect(...args: any[]): any;
  function rp(...args: any[]): any;
  function rt(...args: any[]): any;
  function ruby(...args: any[]): any;
  function s(...args: any[]): any;
  function samp(...args: any[]): any;
  function script(...args: any[]): any;
  function section(...args: any[]): any;
  function select(...args: any[]): any;
  function small(...args: any[]): any;
  function source(...args: any[]): any;
  function span(...args: any[]): any;
  function stop(...args: any[]): any;
  function strong(...args: any[]): any;
  function style(...args: any[]): any;
  function sub(...args: any[]): any;
  function summary(...args: any[]): any;
  function sup(...args: any[]): any;
  function svg(...args: any[]): any;
  function table(...args: any[]): any;
  function tbody(...args: any[]): any;
  function td(...args: any[]): any;
  function text(...args: any[]): any;
  function textarea(...args: any[]): any;
  function tfoot(...args: any[]): any;
  function th(...args: any[]): any;
  function thead(...args: any[]): any;
  function time(...args: any[]): any;
  function title(...args: any[]): any;
  function tr(...args: any[]): any;
  function track(...args: any[]): any;
  function tspan(...args: any[]): any;
  function u(...args: any[]): any;
  function ul(...args: any[]): any;
  function video(...args: any[]): any;
  function wbr(...args: any[]): any;
}
export const PropTypes: any;
export class PureComponent {
  constructor(props: any, context: any, updater: any);
  props: any;
  context: any;
  refs: any;
  updater: any;
  forceUpdate(callback: any): void;
  setState(partialState: any, callback: any): void;
}
export function cloneElement(element: any, props: any, children: any, ...args: any[]): any;
export const createClass: any;
export function createElement(type: any, props: any, children: any, ...args: any[]): any;
export function createFactory(type: any): any;
export function createMixin(mixin: any): any;
export function isValidElement(object: any): any;
export const version: string;